959
Customers have installed this add-on in at least 959 active instances.
    by quisapps.comfor JIRA Server 7.2.0 - 7.3.6 and more versions
    Versions available for JIRA Server 4.0 - 7.1.10
    Unsupported
    This add-on isn't formally supported, but you can ask a question via Atlassian Answers.

    Ask a question

    Unsupported
    This add-on isn't formally supported, but you can ask a question via Atlassian Answers.

    Ask a question

    Get it nowFree add-on

    Write your own Python scripts for validation, postfunctions, listeners

    Write your own Python scripts for validation, postfunctions, listeners

    More details

    Jira Scripting Suite allows to write Jython scripts for workflowconditions, validators and post-functions, provides ability to create Jython listeners and on-edit validators and post-functions

    User reviews

    (20)
    Sign in to write a review
    by Dmitriy Kalabin on 2017-05-26
    Hi, i have JIRA Software 7.3.6. I have installed the plugin Scripting Suit, but i get error "Global Edit Validation & Postfunction scripts are disabled due to installation problem: incompatible Quick Edit plugin. " I followed the recommendations: https://bitbucket.org/quisapps/jss/wiki/Global%20Issue%20Edit%20Validati... But the error remained... Any idea what is happening?
    Was this review helpful?YesNo
    by Shawn Authement on 2017-05-10
    With some work, this handily and fully replaces some other, very expensive plugins. Also, it provides a more standard Jython programming whereas some other competing plugins rely on custom programming languages.
    Was this review helpful?YesNo
    by Valentijn Scholten on 2016-10-06
    .
    1 out of 2 found this review helpful
    Was this review helpful?YesNo
    by Saifuddin Tariwala on 2016-03-28
    Is this plugin compatible with JIRA 6.4.4 version?
    0 out of 6 found this review helpful
    Was this review helpful?YesNo
    by Nik on 2015-08-16
    Hi. Screenshots for the plugin - they are obsoleted. And the problem with quick edit plugin for global validators/postfunctions - could you advice, how can i solve it for the current version of JIRA ?
    Was this review helpful?YesNo

    Pricing

    Basic support resources are available for this add-on.

    Vendor support resources

    Documentation

    Find out how this add-on works.

    Wiki

    Collaborative documentation platform hosted by this vendor.

    Community

    Community discussions connect you to the vendor and other customers who use this add-on.

    Atlassian Community

    Atlassian-hosted discussions connect you to other customers who use this add-on.

    Versions

    Version 2.7.0 JIRA Server 7.2.0 - 7.3.6 Released 2016-08-29

    Summary

    JIRA 7.2 Compatibility

    Installation

    1. Log into your JIRA instance as an admin.
    2. Click the admin dropdown and choose Add-ons. The Manage add-ons screen loads.
    3. Click Find new add-ons from the left-hand side of the page.
    4. Locate Scripting Suite for JIRA via search. Results include add-on versions compatible with your JIRA instance.
    5. Click Install to download and install your add-on.
    6. You're all set! Click Close in the Installed and ready to go dialog.

    To find older Scripting Suite for JIRA versions compatible with your instance, you can look through our version history page.

    Similar add-ons